﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class LogScript : MonoBehaviour {

	Text text;
	List<string> log = new List<string>();

	int logSize = 5;

	void Awake () {
		text = this.transform.GetComponent<Text>();
	}

	public void UpdateLog(string msg) {
		if(log.Count >= logSize)
		{
			for (short i = 1; i <log.Count; i++)
				log[i-1] = log[i];
			log[log.Count - 1] = msg;
		}
		else
			log.Add(msg);
		Print();
	}

	void Print(){
		text.text = string.Empty;
		for(short i = 0; i < log.Count; i++)
			text.text += log[i] + "\n";
	}
}